Help us improve Answers HQ! Take Survey No, Thanks

Your device is not compatible with this version

by crazyrtrain
Reply

Original Post

Accepted Solution

Your device is not compatible with this version

★★★ Newbie

I've been playing on my HP 7 G2+ tab with no problems. Now an update is needed and it says "device not supported" at the play store. Can you help? It plays better on this newer tablket than my old one. Thanks

Message 1 of 3 (134 Views)

Accepted Solution

Re: Your device is not compatible with this version

Community Manager

@crazyrtrain Hi,

 

Unfortunately not all devices are supported.

With that being said, the list is revised constantly, so hopefully we will be able to provide support for your new device in the future.

 

Cheers,

Nils

View in thread

Message 3 of 3 (105 Views)

All Replies

Re: Your device is not compatible with this version

★★★ Newbie

I am a level 76...so I've been playing a lot. Also put some money into this game too

Message 2 of 3 (121 Views)

Re: Your device is not compatible with this version

Community Manager

@crazyrtrain Hi,

 

Unfortunately not all devices are supported.

With that being said, the list is revised constantly, so hopefully we will be able to provide support for your new device in the future.

 

Cheers,

Nils

Message 3 of 3 (106 Views)
Twitter Stream